Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047456
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementminoralways2021-07-26 11:442021-09-20 16:29
ReporterSergio_GomezView Statuspublic 
Assigned Tovmromanos 
PrioritynormalResolutionfixedFixed in VersionPR21Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047456: Unable to add attribute set values to purchase orders lines before saving record

DescriptionIf there is no default attribute set value in the product configuration, the option to add the attribute set value does not appear when creating a line in a purchase order. When the record is saved, the option does appear. This occurs in both grid mode view and form mode view.
Steps To ReproduceIn any version of the livebuilds release (both ERP and retail)
- Login to the backoffice with an organization admin role (e.g. the White Valley Group Administrator).
- In the Attribute window, create a new test record for all organizations.
- In the Attribute Value tab, create a new test record.
- In the Attribute Set window, create a new test record for all organizations.
- In the Assigned Attribute tab add the created attribute.
- In the Product window, create a test record that contains the created attribute set (without attribute set value).
- In the Price tab, set the product price to the purchase order price list version (e.g. the White Valley Group Purchase Order Price List Version).
- In the Purchase Order window, create a record with a line containing the created product and verify that the attribute set value cannot be added.
- Save the record.
- Edit the line and check that the attribute set value can now be added.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0131866)
hgbot (developer)
2021-09-16 13:54

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/433 [^]
(0131918)
hgbot (developer)
2021-09-20 10:26

Merge request closed: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/433 [^]
(0131920)
hgbot (developer)
2021-09-20 11:20

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/434 [^]
(0131921)
vmromanos (developer)
2021-09-20 11:26

Test plan:

- Login to the backoffice with an organization admin role (e.g. the White Valley Group Administrator).
- In the Attribute window, create a new test record for all organizations. Set List flag and do not set Instance Attribute flag.
- In the Attribute Value tab, create a new test record.
- In the Attribute Set window, create a new test record for all organizations.
- In the Assigned Attribute tab add the created attribute.
- In the Product window, create a test record that contains the created attribute set. Do not set attribute set value.
- In the Price tab, set the product price to the purchase order price list version (e.g. the White Valley Group Purchase Order Price List Version).
- In the Purchase Order window, create a record with a line containing the created product and verify that the attribute set value field is shown and a new value can be added.
- Save the record. Verify the Attribute Set Value field is still shown
- Edit the line and check that the attribute set value can be modified.
- Select another product without attribute. Verify the Attribute Set Value is hidden.
- Now select again the test product. Verify the Attribute Set Value is shown again.

- Repeat the test plan is Sales Order window.
(0131931)
hgbot (developer)
2021-09-20 16:29

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 0f318a4e22d668d6cf079c308e60c733cb74d168
Author: Víctor Martínez Romanos <victor.martinez@openbravo.com>
Date: 2021-09-20T11:08:44+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/0f318a4e22d668d6cf079c308e60c733cb74d168 [^]

Fixed ISSUE-47456: Order Line Attribute Set Value display logic

When the Product has associated a non-instanciable Attribute Set
without defining an Attribute Set Value and the Use Attribute Set Value As
fields, the purchase/sales order line's Attribute Set Value field had a
weird display logic behavior.
When creating a new order line, this field was not shown. However, it was
shown after saving the line and refreshing the record.

Problem was in the callout associated to the product, that was cleaning
some fields (inpattributeset and inpattrsetvaluetype) which are used in the
Attribute Set Value display logic.

The fix forces to clean these fields only when the attribute set is instanciable.
Note that in this case the field is set as read only.

In any other case these fields (inpattributeset and inpattrsetvaluetype) take the
values calculated in their respective Auxiliary inputs (ATTRIBUTESET and
ATTRSETVALUETYPE), and the Attribute Set Value display logic works as expected.

After the fix, the field's display logic is the same when creating a new record,
and after saving & refreshing it.

---
M src/org/openbravo/erpCommon/ad_callouts/SL_Order_Product.java
---
(0131932)
hgbot (developer)
2021-09-20 16:29

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/434 [^]

- Issue History
Date Modified Username Field Change
2021-07-26 11:44 Sergio_Gomez New Issue
2021-07-26 11:44 Sergio_Gomez Assigned To => Retail
2021-07-26 11:44 Sergio_Gomez Triggers an Emergency Pack => No
2021-07-26 11:45 Sergio_Gomez Issue Monitored: Sergio_Gomez
2021-07-26 11:45 Sergio_Gomez Issue End Monitor: Sergio_Gomez
2021-07-28 12:56 ivancaceres Issue Monitored: ivancaceres
2021-08-05 09:51 Sergio_Gomez Reproducibility have not tried => always
2021-09-04 22:05 rqueralta Assigned To Retail => rqueralta
2021-09-04 22:05 rqueralta Status new => scheduled
2021-09-16 13:54 hgbot Note Added: 0131866
2021-09-20 10:26 hgbot Note Added: 0131918
2021-09-20 10:46 vmromanos Assigned To rqueralta => vmromanos
2021-09-20 11:20 hgbot Note Added: 0131920
2021-09-20 11:26 vmromanos Note Added: 0131921
2021-09-20 12:06 vmromanos Project Retail Modules => Openbravo ERP
2021-09-20 12:07 vmromanos Modules => Core
2021-09-20 12:07 vmromanos Category Manual user action => 03. Procurement management
2021-09-20 16:29 hgbot Resolution open => fixed
2021-09-20 16:29 hgbot Status scheduled => closed
2021-09-20 16:29 hgbot Fixed in Version => PR21Q4
2021-09-20 16:29 hgbot Note Added: 0131931
2021-09-20 16:29 hgbot Note Added: 0131932


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker